## GtkPlotCairo GtkPlotCairo — Cairo drawing backend. |

## Synopsis

    #include <gtkextra.h>

                        GtkPlotCairo;
    GtkObject *         gtk_plot_cairo_new                  (cairo_t *cairo);
    GtkObject *         gtk_plot_cairo_new_with_drawable    (GdkDrawable *drawable);
    void                gtk_plot_cairo_construct            (GtkPlotCairo *pc,
                                                             cairo_t *cairo,
                                                             PangoContext *context);
    void                gtk_plot_cairo_set_cairo            (GtkPlotCairo *pc,
                                                             cairo_t *cairo);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkPlotPC
                         +----GtkPlotCairo

## Description

Subclass of GtkPlotPC used for screen drawing.

## Details

### GtkPlotCairo

    typedef struct _GtkPlotCairo GtkPlotCairo;

The GtkPlotCairo struct contains only private data. It should only be accessed through the functions described below.

### gtk_plot_cairo_new ()

    GtkObject *         gtk_plot_cairo_new                  (cairo_t *cairo);

`cairo` : |
Returns : |

### gtk_plot_cairo_new_with_drawable ()

    GtkObject *         gtk_plot_cairo_new_with_drawable    (GdkDrawable *drawable);

`drawable` : |
Returns : |

### gtk_plot_cairo_construct ()

    void                gtk_plot_cairo_construct            (GtkPlotCairo *pc,
                                                             cairo_t *cairo,
                                                             PangoContext *context);

`pc` : | A GtkPlotCairo.
`cairo` : |
`context` : |

### gtk_plot_cairo_set_cairo ()

    void                gtk_plot_cairo_set_cairo            (GtkPlotCairo *pc,
                                                             cairo_t *cairo);

`pc` : | a GtkPlotCairo
`cairo` : |